| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Gdk.Pixmap

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors

Description
Pixmaps -- Offscreen drawables
Synopsis

data Pixmap
class DrawableClass o => PixmapClass o
type Bitmap = Pixmap
pixmapNew :: DrawableClass drawable => Maybe drawable -> Int -> Int -> Maybe Int -> IO Pixmap

Detail
Class Hierarchy

     |   GObject
     |   +----Drawable
     |         +----Pixmap

Types
data Pixmap

Instances

GObjectClass Pixmap
PixmapClass Pixmap
DrawableClass Pixmap

class DrawableClass o => PixmapClass o

Instances

PixmapClass Pixmap

type Bitmap = Pixmap
A `Bitmap` is a special `Pixmap` in that the number of bits per pixel is one, that is, a pixel is either set or unset. Whenever a function expects a `Bitmap`, a `Pixmap` of depth one must be supplied.
Constructors
pixmapNew

:: DrawableClass drawable |
=> Maybe drawable | `drawable` - drawable supplying default values for the pixmap
-> Int | `width` - width of the pixmap
-> Int | `height` - height of the pixmap
-> Maybe Int | `depth` - depth of the pixmap
-> IO Pixmap |

Create a new pixmap.

If `drawable` is `Nothing`, the depth of the pixmap is taken from the `depth` parameter, otherwise the pixmap has the same depth as the `Drawable` specified by `drawable`. Therefore, at least one of `drawable` and `depth` must not be `Nothing`.

- Note that in Gtk+ 2.0 the `drawable` can only be a `DrawWindow`, not an arbitary `Drawable`.

Produced by Haddock version 2.4.2